﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace TabControl_SelectedItem_Binding
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void AddItem(object sender, RoutedEventArgs e)
        {
            if (DataContext != null && DataContext is TabViewModel)
            {
                if ((DataContext as TabViewModel).Items == null)
                {
                    (DataContext as TabViewModel).Items = new System.Collections.ObjectModel.ObservableCollection<TabModel>();
                }
                (DataContext as TabViewModel).Items.Add(new TabModel() { Header = "Item " + ((DataContext as TabViewModel).Items.Count + 1), Content = "Content " + ((DataContext as TabViewModel).Items.Count + 1) });
            }
        }

        private void SelectNextItem(object sender, RoutedEventArgs e)
        {
            if (DataContext != null && DataContext is TabViewModel)
            {
                if ((DataContext as TabViewModel).Items != null)
                {
                    int index = (DataContext as TabViewModel).ItemSelected == null ? -1 : (DataContext as TabViewModel).Items.IndexOf((DataContext as TabViewModel).ItemSelected);
                    index = index + 1 == (DataContext as TabViewModel).Items.Count ? 0 : index + 1;
                    (DataContext as TabViewModel).ItemSelected = (DataContext as TabViewModel).Items[index];
                }
            }
        }
    }
}
